=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-apport,
                dh-golang,
-               golang-go (>= 2:1.20~),
+               golang-go (>= 2:1.21~),
                libsmbclient-dev,
                libdbus-1-dev,
                libglib2.0-dev,
@@ -40,6 +40,7 @@
          sssd-dbus | winbind,
          apparmor,
          cifs-utils,
+         nfs-common,
          gvfs,
 Recommends: ${misc:Recommends},
             ubuntu-advantage-desktop-daemon,
