## adsys 0.14.1~23.10.1

=== debian/changelog ===
adsys (0.14.1~23.10.1) mantic; urgency=medium

  * Fix Go path in autopkgtests

 -- Gabriel Nagy <gabriel.nagy@canonical.com>  Thu, 06 Jun 2024 11:45:02 +0300

adsys (0.14.1~23.10) mantic; urgency=medium

  * Backport to Mantic (LP: #2059756)

 -- Gabriel Nagy <gabriel.nagy@canonical.com>  Tue, 30 Apr 2024 15:54:03 +0300
