=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Build-Depends: debhelper-compat (= 13),
                dh-apport,
                dh-golang,
-               golang-go (>= 2:1.21~),
-               libsmbclient-dev,
+               golang-go (>= 2:1.22~),
+               apparmor,
+               dbus,
                libdbus-1-dev,
                libglib2.0-dev,
+               libkrb5-dev,
+               libpam0g-dev,
+               libsmbclient-dev,
+               libwbclient-dev,
                python3,
                python3-samba,
+               samba,
                samba-dsdb-modules,
-               libpam0g-dev,
-               samba,
-               dbus,
-               libwbclient-dev,
-               apparmor,
 Standards-Version: 4.5.1
 XS-Go-Import-Path: github.com/ubuntu/adsys
 Homepage: https://github.com/ubuntu/adsys
@@ -25,7 +26,6 @@
  It allows one to handle machine and users GPOs, mapping them to dconf keys,
  apparmor rules, mounts, proxy settings, certificate autoenrollment and running
  scripts at different points in time.
-
 
 Package: adsys
 Architecture: any
