## adsys 0.14.2~22.04ubuntu0.1

=== debian/changelog ===
adsys (0.14.2~22.04ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 24 Oct 2024 09:50:29 +1000

adsys (0.14.2~22.04) jammy; urgency=medium

  * Fix DCONF policy manager removing user DB on empty policy (LP: #2078245)
  * Ignore casing in domain/ section of sssd.conf (LP: #2078246)
  * Fix parsing of slash usernames (i.e. domain\user) (LP: #2078247)
  * Fix errno in get_ticket_path() (LP: #2078473)

 -- Denison Barbosa <denison.barbosa@canonical.com>  Fri, 30 Aug 2024 10:33:56 -0400
