## adsys 0.14.2~24.04ubuntu0.1

=== debian/changelog ===
adsys (0.14.2~24.04ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 11 Nov 2024 10:15:58 +1000
