## adsys 0.14.3~22.04

=== debian/changelog ===
adsys (0.14.3~22.04) jammy; urgency=medium

  [Davi Henrique]
  * Ignore casing when fetching Registry.pol (LP: #2080390)
  * Add configurable timeout for listing GPOs (LP: #2081966)

  [Felipe Alencastro]
  * Add support for DCONF usb settings (LP: #2081968)

 -- Denison Barbosa <denison.barbosa@canonical.com>  Tue, 19 Nov 2024 06:38:20 -0400
