=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-apport,
                dh-golang,
-               golang-go (>= 2:1.22~),
+               golang-1.22-go,
                apparmor,
                dbus,
                libdbus-1-dev,
