## adsys 0.14.3~24.04

=== debian/changelog ===
adsys (0.14.3~24.04) noble; urgency=medium

  [Davi Henrique]
  * Ignore casing when fetching Registry.pol (LP: #2080390)
  * Add configurable timeout for listing GPOs (LP: #2081966)

  [Felipe Alencastro]
  * Add support for DCONF usb settings (LP: #2081968)

 -- Denison Barbosa <denison.barbosa@canonical.com>  Tue, 19 Nov 2024 06:28:25 -0400
