=== docs/.sphinx/requirements.txt ===
furo
linkify-it-py
lxd-sphinx-extensions
myst-parser
pyspelling
sphinx
sphinx-autobuild
sphinx-copybutton
sphinx-design
sphinx-notfound-page
sphinx-reredirects
sphinx-tabs
sphinxcontrib-jquery
sphinxext-opengraph
