=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 #export DH_VERBOSE = 1
 
 export GOCACHE=$(shell mktemp -d /tmp/gocache-XXXX)
-
-# Run with Go 1.22
-export PATH := /usr/lib/go-1.22/bin/:$(PATH)
 
 WIN_ARCHS := amd64 arm64
 # Tags should always come last as we append to them in other parts of the build
@@ -86,5 +83,3 @@
 	ln -s adsysd debian/tmp/sbin/adsysctl
 	# Run go generate to install assets, but don’t regenerate them
 	GENERATE_ONLY_INSTALL_TO_DESTDIR=$(CURDIR)/debian/tmp go generate -x $(GOFLAGS),tools ./...
-
-override_dh_dwz:
