=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-apport,
                dh-golang,
-               golang-1.22-go,
+               golang-go (>= 2:1.22~),
                apparmor,
                dbus,
                libdbus-1-dev,
@@ -47,6 +47,7 @@
 Suggests: curlftpfs,
           ubuntu-proxy-manager,
           python3-cepces,
+          polkitd-pkla,
 Description: ${source:Synopsis}
  ${source:Extended-Description}
