## adsys 0.16.0ubuntu1

=== debian/changelog ===
adsys (0.16.0ubuntu1) plucky; urgency=medium

  * SECURITY UPDATE: Denial of service in parse function.
    - Use strings.EqualFold instead of direct comparison and
      strings.ToLower in .../html/doctype.go, .../html/foreign.go, and
      .../html/parse.go. Based on
      https://go.googlesource.com/net/+/8e66b04771e35c4e4125e8c60334b34e2423effb
      upstream patch.
    - CVE-2024-45338

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 07 Jan 2025 15:17:57 -0330

adsys (0.16.0) plucky; urgency=medium

  * Bump minimum Go version to 1.22
  * Run certificates auto enroll script with debug enabled based on daemon
    verbosity
  * Add support for Polkit >= 124
  * Refresh policy definition files to support latest Ubuntu releases
  * CI and quality of life changes not impacting package functionality:
    - Enable CI to run on pull requests from adsys forks
    - Update links to new server documentation
  * Bump dependencies to latest:
    - github.com/charmbracelet/bubbles
    - github.com/charmbracelet/bubbletea
    - github.com/charmbracelet/lipgloss
    - github.com/fatih/color
    - github.com/leonelquinteros/gotext
    - github.com/pkg/sftp
    - github.com/stretchr/testify
    - golang.org/x/net
    - golang.org/x/sys
    - golang.org/x/text
    - golang.org/x/crypto
    - google.golang.org/grpc
    - google.golang.org/protobuf
    - github.com/golang/protobuf
    - github.com/golangci/golangci-lint
    - codecov/codecov-action
    - jidicula/clang-format-action
    - peter-evans/create-pull-request

 -- Denison Barbosa <denison.barbosa@canonical.com>  Fri, 06 Dec 2024 08:18:44 -0400
