## adsys 0.16.2build1

=== debian/changelog ===
adsys (0.16.2build1) plucky; urgency=medium

  * No-change rebuild against Go 1.24.

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Mon, 24 Feb 2025 09:31:56 +0000

adsys (0.16.2) plucky; urgency=medium

  * New upstream release (LP: #2091940)
  * Fixes and improvements to certificate autoenrollment
    - Improve log messages to help understand issues and failures
    - Fix LDAP queries on multiple domains environments
    - Allow default behavior to get supported certificate templates
      to be overriden through cepces configuration

 -- Denison Barbosa <denison.barbosa@canonical.com>  Mon, 03 Feb 2025 10:08:09 -0400

adsys (0.16.1) plucky; urgency=medium

  * Bump Go version to 1.23
  * Add architecture diagrams to documentation
  * Bump dependencies to latest:
    - golang.org/x/crypto (0.31.0)
    - golang.org/x/net (0.34.0)
      + Fixes CVE-2024-45338
    - golang.org/x/sys (0.29.0)
    - google.golang.org/grpc (1.70.0)
    - google.golang.org/protobuf (1.36.4)
    - github.com/golangci/golangci-lint (1.63.4)

 -- Denison Barbosa <denison.barbosa@canonical.com>  Wed, 29 Jan 2025 06:36:01 -0400
