=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,13 @@
 # Skip integration tests when building package: they need docker images
 # Tests needing sudo will be skipped automatically
 export ADSYS_SKIP_INTEGRATION_TESTS=1
+
+# We want to take whatever ubuntu propose to us (as it won’t download a newer version),
+# as long as it matches the go.mod go stenza which is the language requirement.
+export GOTOOLCHAIN := local
+
+# Run with Go 1.23
+export PATH := /usr/lib/go-1.23/bin/:$(PATH)
 
 %:
 	dh $@ --buildsystem=golang --with=golang,apport
@@ -83,3 +90,5 @@
 	ln -s adsysd debian/tmp/sbin/adsysctl
 	# Run go generate to install assets, but don’t regenerate them
 	GENERATE_ONLY_INSTALL_TO_DESTDIR=$(CURDIR)/debian/tmp go generate -x $(GOFLAGS),tools ./...
+
+override_dh_dwz:
