## adsys 0.16.3~22.04.2

=== vendor/github.com/yuin/goldmark/Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
-.PHONY: test fuzz
+.PHONY: test fuzz lint
+
+lint:
+	golangci-lint run -c .golangci.yml ./...
 
 test:
 	go test -coverprofile=profile.out -coverpkg=github.com/yuin/goldmark,github.com/yuin/goldmark/ast,github.com/yuin/goldmark/extension,github.com/yuin/goldmark/extension/ast,github.com/yuin/goldmark/parser,github.com/yuin/goldmark/renderer,github.com/yuin/goldmark/renderer/html,github.com/yuin/goldmark/text,github.com/yuin/goldmark/util ./...
