=== debian/changelog ===
adsys (0.16.3~22.04.2) jammy; urgency=medium

  * internal/ad/adsys-gpolist: Allow searching GPO list by UserPrincipalName.
    (LP: #2125134)

 -- Marcin Wilk <marcin.wilk@canonical.com>  Thu, 23 Oct 2025 14:58:11 +0200
