=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-apport,
                dh-golang,
-               golang-go (>= 2:1.22~),
+               golang-1.23-go,
                apparmor,
                dbus,
                libdbus-1-dev,
@@ -47,7 +47,6 @@
 Suggests: curlftpfs,
           ubuntu-proxy-manager,
           python3-cepces,
-          polkitd-pkla,
 Description: ${source:Synopsis}
  ${source:Extended-Description}
