=== debian/changelog ===
adsys (0.16.3~24.04.2) noble; urgency=medium

  * internal/ad/adsys-gpolist: Allow searching GPO list by UserPrincipalName.
    (LP: #2125134)

 -- Marcin Wilk <marcin.wilk@canonical.com>  Thu, 23 Oct 2025 13:54:18 +0200
