=== debian/rules ===
--- 
+++ 
@@ -91,4 +91,3 @@
 	# Run go generate to install assets, but don’t regenerate them
 	GENERATE_ONLY_INSTALL_TO_DESTDIR=$(CURDIR)/debian/tmp go generate -x $(GOFLAGS),tools ./...
 
-override_dh_dwz:
