## adsys 0.16.3~24.10

=== debian/changelog ===
adsys (0.16.3~24.10) oracular; urgency=medium

  * Backport adsys 0.16.3 to oracular (LP: #2091940)
  * Bump Go version to 1.23
  * Bump Go toolchain version to 1.23.6
  * Fixes and improvements to certificate autoenrollment
    - Improve log messages to help understand issues and failures
    - Fix LDAP queries on multiple domains environments
    - Allow default behavior to get supported certificate templates
      to be overriden through cepces configuration
    - Fix URL for NDES enrollment
  * Resize buffer to parse very large GPOs
  * Add corpus to fuzz tests to increase their precision
  * Documentation improvements
    - Add architecture diagrams to documentation
    - Add ref glossary
    - Change spelling to US
    - Home and landing pages refresh
  * Run certificates auto enroll script with debug enabled based on daemon
    verbosity
  * Add support for Polkit >= 124
  * Refresh policy definition files to support latest Ubuntu releases
  * CI and quality of life changes not impacting package functionality:
    - Enable CI to run on pull requests from adsys forks
    - Update links to new server documentation
  * Bump dependencies to latest:
    - golang.org/x/crypto (0.31.0)
    - golang.org/x/net (0.37.0)
      + Fixes CVE-2024-45338
    - golang.org/x/sys (0.29.0)
    - golang.org/x/text (0.22.0)
    - google.golang.org/grpc (1.71.0)
    - google.golang.org/protobuf (1.36.6)
    - github.com/charmbracelet/bubbles (0.20.0)
    - github.com/charmbracelet/bubbletea (1.3.4)
    - github.com/charmbracelet/glamour (0.9.1)
    - github.com/charmbracelet/lipgloss (1.1.0)
    - github.com/fatih/color (1.18.0)
    - github.com/leonelquinteros/gotext (1.7.0)
    - github.com/pkg/sftp (1.13.9)
    - github.com/spf13/cobra (1.9.1)
    - github.com/stretchr/testify (1.10.0)
    - github.com/golangci/golangci-lint (1.64.8)
  * CI dependencies not impacting package functionality:
    - canonical/has-signed-canonical-cla (2)
    - codecov/codecov-action (5)
    - jidicula/clang-format-action (4.15.0)
    - peter-evans/create-pull-request (7)

 -- Denison Barbosa <denison.barbosa@canonical.com>  Mon, 31 Mar 2025 06:49:09 -0400
