## adsys 0.16.3ubuntu0.25.04.1

=== debian/changelog ===
adsys (0.16.3ubuntu0.25.04.1) plucky; urgency=medium

  * internal/ad/adsys-gpolist: Allow searching GPO list by UserPrincipalName.
    (LP: #2125134)

 -- Marcin Wilk <marcin.wilk@canonical.com>  Thu, 23 Oct 2025 07:53:58 +0200
