=== debian/changelog ===
adsys (0.16.3ubuntu0.25.10.1) questing; urgency=medium

  * internal/ad/adsys-gpolist: Allow searching GPO list by UserPrincipalName.
    (LP: #2125134)

 -- Marcin Wilk <marcin.wilk@canonical.com>  Wed, 24 Sep 2025 13:44:11 +0200
