=== debian/rules ===
--- 
+++ 
@@ -28,9 +28,6 @@
 # We want to take whatever ubuntu propose to us (as it won’t download a newer version),
 # as long as it matches the go.mod go stenza which is the language requirement.
 export GOTOOLCHAIN := local
-
-# Run with Go 1.23
-export PATH := /usr/lib/go-1.23/bin/:$(PATH)
 
 %:
 	dh $@ --buildsystem=golang --with=golang,apport
@@ -90,4 +87,3 @@
 	ln -s adsysd debian/tmp/sbin/adsysctl
 	# Run go generate to install assets, but don’t regenerate them
 	GENERATE_ONLY_INSTALL_TO_DESTDIR=$(CURDIR)/debian/tmp go generate -x $(GOFLAGS),tools ./...
-
